<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:19 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>model.Element (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="model.Element (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../view/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;model.Element</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/IElement.html" title="interface in model.Element">IElement</a></td>
<td class="colLast">
<div class="block">The Interface IElement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Moves.html" title="interface in model.Element">Moves</a></td>
<td class="colLast">
<div class="block">The Interface Moves.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/Diamond.html" title="class in model.Element">Diamond</a></td>
<td class="colLast">
<div class="block">The Class Diamond.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Element.html" title="class in model.Element">Element</a></td>
<td class="colLast">
<div class="block">The Class Element.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/ElementFactory.html" title="class in model.Element">ElementFactory</a></td>
<td class="colLast">
<div class="block">A factory for creating Element objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Empty.html" title="class in model.Element">Empty</a></td>
<td class="colLast">
<div class="block">The Class Empty.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/Enemy.html" title="class in model.Element">Enemy</a></td>
<td class="colLast">
<div class="block">The Class Enemy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Exit.html" title="class in model.Element">Exit</a></td>
<td class="colLast">
<div class="block">The Class Exit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/Ground.html" title="class in model.Element">Ground</a></td>
<td class="colLast">
<div class="block">The Class Ground.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Living.html" title="class in model.Element">Living</a></td>
<td class="colLast">
<div class="block">The Class Living.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/Motion.html" title="class in model.Element">Motion</a></td>
<td class="colLast">
<div class="block">The Class Motion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Player.html" title="class in model.Element">Player</a></td>
<td class="colLast">
<div class="block">The Class Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../model/Element/Rock.html" title="class in model.Element">Rock</a></td>
<td class="colLast">
<div class="block">The Class Rock.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../model/Element/Wall.html" title="class in model.Element">Wall</a></td>
<td class="colLast">
<div class="block">The Class Wall.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../view/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
